Name:          arj
Version:       3.10.22
Release:       4mamba
Summary:       An open source and portable version of the ARJ archiver
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://arj.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch:         %{name}-3.10.22-postproc.patch
Patch1:        %{name}-3.10.22-strnlen.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The arj program is an open source clone of the ARJ archiver for DOS and Windows. It can be used to create and extract archives and uses the save format as the proprietary version.

%prep
%setup -q
%patch -p1
%patch 1 -p1

%build
pushd gnu
libtoolize --force --install
autoconf
%configure
popd

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}/arjcrypt.so
%{_mandir}/man1/*
%doc doc/COPYING
#% doc ChangeLog doc

%changelog
* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 3.10.22-4mamba
- automatic rebuild by autodist

* Wed Aug 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.22-3mamba
- added patch to build with current gcc
- call libtoolize --install to recreate a config.sub which is x86_64 compatible

* Wed Mar 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.22-2mamba
- specfile updates

* Fri Jan 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.10.22-1qilnx
- package created by autospec
